#include <bits/stdc++.h>

using namespace std;
int N,K,A;
int poz[1000007],neg[1000007];
vector<int> res;
int main()
{
    cin >> N >> K;
    for(int i = 0; i < N; i++){
        cin >> A;
        if(A >= 0)
            poz[A]++;
        else
            neg[abs(A)]++;
    }

    for(int i = 0; i < N; i++){
        if(poz[i] >= K)
            res.push_back(i);
        if(neg[i] >= K)
            res.push_back(-i);
    }
    int broj = res.size();
    cout << broj << "\n";
    for(int i = 0; i < broj; i++){
        cout << res[i] << " ";
    }
    return 0;
}